# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d Class Reference

`#include <PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d ()
| PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d (const gp_Pnt2d &aValue)
void | SetValue (const gp_Pnt2d &aValue)
Standard_Address | Value () const

## Private Attributes

gp_Pnt2d | myValue

## Constructor & Destructor Documentation

PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d | ( |  | ) |

PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d | ( | const gp_Pnt2d & | aValue | ) |

## Member Function Documentation

void PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::SetValue | ( | const gp_Pnt2d & | aValue | ) |

Standard_Address PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::Value | ( |  | ) | const

## Field Documentation

gp_Pnt2d PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d::myValue `[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayTNodeOfFieldOfHArray2OfPnt2d.hxx